Bug 788725 - filter normalization does not use matching rules
Summary: filter normalization does not use matching rules
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-08 22:02 UTC by Rich Megginson
Modified: 2012-06-20 07:13 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.2.10.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Attempting to perform a search on an attribute that is defined with a matching rule that uses a different comparison than the default comparison for the attributes syntax. Consequence: Searches do not work properly. Fix: Use a matching rule sensitive normalization on filter attributes and values. Result: Searches return matching rule valid results.
Clone Of:
Environment:
Last Closed: 2012-06-20 07:13:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0813 normal SHIPPED_LIVE Low: 389-ds-base security, bug fix, and enhancement update 2012-06-19 19:29:15 UTC

Description Rich Megginson 2012-02-08 22:02:11 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/279

If you have an attribute with Directory String syntax defined with caseExact matching rules, and a value with upper case letters, a search will not find the value because the search filter will be normalized using the default normalization for the syntax instead of being aware of the matching rule.  value normalization must take into account the matching rule used.

Comment 1 Nathan Kinder 2012-02-13 21:46:42 UTC
Verification of this should already be covered by the acceptance tests.

Comment 3 Amita Sharma 2012-05-07 11:08:56 UTC
filter tet suit is passing 100%.
Hence marking this bug as VERIFIED.

Comment 4 Rich Megginson 2012-05-18 15:13:08 UTC
clearing needinfo

Comment 5 Rich Megginson 2012-05-24 23:24:32 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Attempting to perform a search on an attribute that is defined with a matching rule that uses a different comparison than the default comparison for the attributes syntax.
Consequence: Searches do not work properly.
Fix: Use a matching rule sensitive normalization on filter attributes and values.
Result: Searches return matching rule valid results.

Comment 6 errata-xmlrpc 2012-06-20 07:13:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0813.html


Note You need to log in before you can comment on or make changes to this bug.